From ff1ad131ae16915c6760ad8374540217268b5108 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Sun, 29 Nov 2015 22:29:42 +0100
Subject: [PATCH 03/55] kernel/drm: Sanitize Linux' nouveau file names and add
 to 'files'.

---
 sys/conf/files                                | 365 ++++++++++++++++++
 .../core/{client.c => nouveau_core_client.c}  |   0
 .../core/{engctx.c => nouveau_core_engctx.c}  |   0
 .../core/{engine.c => nouveau_core_engine.c}  |   0
 .../core/core/{enum.c => nouveau_core_enum.c} |   0
 .../core/{event.c => nouveau_core_event.c}    |   0
 .../core/{gpuobj.c => nouveau_core_gpuobj.c}  |   0
 .../core/{handle.c => nouveau_core_handle.c}  |   0
 .../core/{ioctl.c => nouveau_core_ioctl.c}    |   0
 .../core/core/{mm.c => nouveau_core_mm.c}     |   0
 .../core/{namedb.c => nouveau_core_namedb.c}  |   0
 .../core/{notify.c => nouveau_core_notify.c}  |   0
 .../core/{object.c => nouveau_core_object.c}  |   0
 .../core/{option.c => nouveau_core_option.c}  |   0
 .../core/{parent.c => nouveau_core_parent.c}  |   0
 .../core/{printk.c => nouveau_core_printk.c}  |   0
 .../core/{ramht.c => nouveau_core_ramht.c}    |   0
 .../core/{subdev.c => nouveau_core_subdev.c}  |   0
 .../bsp/{nv84.c => nouveau_engine_bsp_nv84.c} |   0
 .../bsp/{nv98.c => nouveau_engine_bsp_nv98.c} |   0
 .../bsp/{nvc0.c => nouveau_engine_bsp_nvc0.c} |   0
 .../bsp/{nve0.c => nouveau_engine_bsp_nve0.c} |   0
 .../{nva3.c => nouveau_engine_copy_nva3.c}    |   0
 .../{nvc0.c => nouveau_engine_copy_nvc0.c}    |   0
 .../{nve0.c => nouveau_engine_copy_nve0.c}    |   0
 .../{nv84.c => nouveau_engine_crypt_nv84.c}   |   0
 .../{nv98.c => nouveau_engine_crypt_nv98.c}   |   0
 .../{acpi.c => nouveau_engine_device_acpi.c}  |   0
 .../{base.c => nouveau_engine_device_base.c}  |   0
 .../{ctrl.c => nouveau_engine_device_ctrl.c}  |   0
 ...{gm100.c => nouveau_engine_device_gm100.c} |   0
 .../{nv04.c => nouveau_engine_device_nv04.c}  |   0
 .../{nv10.c => nouveau_engine_device_nv10.c}  |   0
 .../{nv20.c => nouveau_engine_device_nv20.c}  |   0
 .../{nv30.c => nouveau_engine_device_nv30.c}  |   0
 .../{nv40.c => nouveau_engine_device_nv40.c}  |   0
 .../{nv50.c => nouveau_engine_device_nv50.c}  |   0
 .../{nvc0.c => nouveau_engine_device_nvc0.c}  |   0
 .../{nve0.c => nouveau_engine_device_nve0.c}  |   0
 .../{base.c => nouveau_engine_disp_base.c}    |   0
 .../{conn.c => nouveau_engine_disp_conn.c}    |   0
 ...acnv50.c => nouveau_engine_disp_dacnv50.c} |   0
 .../{dport.c => nouveau_engine_disp_dport.c}  |   0
 .../{gm107.c => nouveau_engine_disp_gm107.c}  |   0
 ...danva3.c => nouveau_engine_disp_hdanva3.c} |   0
 ...danvd0.c => nouveau_engine_disp_hdanvd0.c} |   0
 ...inv84.c => nouveau_engine_disp_hdminv84.c} |   0
 ...inva3.c => nouveau_engine_disp_hdminva3.c} |   0
 ...invd0.c => nouveau_engine_disp_hdminvd0.c} |   0
 .../{nv04.c => nouveau_engine_disp_nv04.c}    |   0
 .../{nv50.c => nouveau_engine_disp_nv50.c}    |   0
 .../{nv84.c => nouveau_engine_disp_nv84.c}    |   0
 .../{nv94.c => nouveau_engine_disp_nv94.c}    |   0
 .../{nva0.c => nouveau_engine_disp_nva0.c}    |   0
 .../{nva3.c => nouveau_engine_disp_nva3.c}    |   0
 .../{nvd0.c => nouveau_engine_disp_nvd0.c}    |   0
 .../{nve0.c => nouveau_engine_disp_nve0.c}    |   0
 .../{nvf0.c => nouveau_engine_disp_nvf0.c}    |   0
 .../{outp.c => nouveau_engine_disp_outp.c}    |   0
 ...{outpdp.c => nouveau_engine_disp_outpdp.c} |   0
 ...rnv50.c => nouveau_engine_disp_piornv50.c} |   0
 ...ornv50.c => nouveau_engine_disp_sornv50.c} |   0
 ...ornv94.c => nouveau_engine_disp_sornv94.c} |   0
 ...ornvd0.c => nouveau_engine_disp_sornvd0.c} |   0
 .../disp/{vga.c => nouveau_engine_disp_vga.c} |   0
 .../{base.c => nouveau_engine_dmaobj_base.c}  |   0
 .../{nv04.c => nouveau_engine_dmaobj_nv04.c}  |   0
 .../{nv50.c => nouveau_engine_dmaobj_nv50.c}  |   0
 .../{nvc0.c => nouveau_engine_dmaobj_nvc0.c}  |   0
 .../{nvd0.c => nouveau_engine_dmaobj_nvd0.c}  |   0
 .../{base.c => nouveau_engine_fifo_base.c}    |   0
 .../{gk20a.c => nouveau_engine_fifo_gk20a.c}  |   0
 .../{nv04.c => nouveau_engine_fifo_nv04.c}    |   0
 .../{nv10.c => nouveau_engine_fifo_nv10.c}    |   0
 .../{nv108.c => nouveau_engine_fifo_nv108.c}  |   0
 .../{nv17.c => nouveau_engine_fifo_nv17.c}    |   0
 .../{nv40.c => nouveau_engine_fifo_nv40.c}    |   0
 .../{nv50.c => nouveau_engine_fifo_nv50.c}    |   0
 .../{nv84.c => nouveau_engine_fifo_nv84.c}    |   0
 .../{nvc0.c => nouveau_engine_fifo_nvc0.c}    |   0
 .../{nve0.c => nouveau_engine_fifo_nve0.c}    |   0
 ...10b.c => nouveau_engine_graph_ctxgk110b.c} |   0
 ...k20a.c => nouveau_engine_graph_ctxgk20a.c} |   0
 ...m107.c => nouveau_engine_graph_ctxgm107.c} |   0
 ...v108.c => nouveau_engine_graph_ctxnv108.c} |   0
 ...xnv40.c => nouveau_engine_graph_ctxnv40.c} |   0
 ...xnv50.c => nouveau_engine_graph_ctxnv50.c} |   0
 ...xnvc0.c => nouveau_engine_graph_ctxnvc0.c} |   0
 ...xnvc1.c => nouveau_engine_graph_ctxnvc1.c} |   0
 ...xnvc4.c => nouveau_engine_graph_ctxnvc4.c} |   0
 ...xnvc8.c => nouveau_engine_graph_ctxnvc8.c} |   0
 ...xnvd7.c => nouveau_engine_graph_ctxnvd7.c} |   0
 ...xnvd9.c => nouveau_engine_graph_ctxnvd9.c} |   0
 ...xnve4.c => nouveau_engine_graph_ctxnve4.c} |   0
 ...xnvf0.c => nouveau_engine_graph_ctxnvf0.c} |   0
 ...gk110b.c => nouveau_engine_graph_gk110b.c} |   0
 .../{gk20a.c => nouveau_engine_graph_gk20a.c} |   0
 .../{gm107.c => nouveau_engine_graph_gm107.c} |   0
 .../{nv04.c => nouveau_engine_graph_nv04.c}   |   0
 .../{nv10.c => nouveau_engine_graph_nv10.c}   |   0
 .../{nv108.c => nouveau_engine_graph_nv108.c} |   0
 .../{nv20.c => nouveau_engine_graph_nv20.c}   |   0
 .../{nv25.c => nouveau_engine_graph_nv25.c}   |   0
 .../{nv2a.c => nouveau_engine_graph_nv2a.c}   |   0
 .../{nv30.c => nouveau_engine_graph_nv30.c}   |   0
 .../{nv34.c => nouveau_engine_graph_nv34.c}   |   0
 .../{nv35.c => nouveau_engine_graph_nv35.c}   |   0
 .../{nv40.c => nouveau_engine_graph_nv40.c}   |   0
 .../{nv50.c => nouveau_engine_graph_nv50.c}   |   0
 .../{nvc0.c => nouveau_engine_graph_nvc0.c}   |   0
 .../{nvc1.c => nouveau_engine_graph_nvc1.c}   |   0
 .../{nvc4.c => nouveau_engine_graph_nvc4.c}   |   0
 .../{nvc8.c => nouveau_engine_graph_nvc8.c}   |   0
 .../{nvd7.c => nouveau_engine_graph_nvd7.c}   |   0
 .../{nvd9.c => nouveau_engine_graph_nvd9.c}   |   0
 .../{nve4.c => nouveau_engine_graph_nve4.c}   |   0
 .../{nvf0.c => nouveau_engine_graph_nvf0.c}   |   0
 .../{nv31.c => nouveau_engine_mpeg_nv31.c}    |   0
 .../{nv40.c => nouveau_engine_mpeg_nv40.c}    |   0
 .../{nv44.c => nouveau_engine_mpeg_nv44.c}    |   0
 .../{nv50.c => nouveau_engine_mpeg_nv50.c}    |   0
 .../{nv84.c => nouveau_engine_mpeg_nv84.c}    |   0
 .../{falcon.c => nouveau_engine_falcon.c}     |   0
 .../{xtensa.c => nouveau_engine_xtensa.c}     |   0
 .../{base.c => nouveau_engine_perfmon_base.c} |   0
 ...emon.c => nouveau_engine_perfmon_daemon.c} |   0
 .../{nv40.c => nouveau_engine_perfmon_nv40.c} |   0
 .../{nv50.c => nouveau_engine_perfmon_nv50.c} |   0
 .../{nv84.c => nouveau_engine_perfmon_nv84.c} |   0
 .../{nva3.c => nouveau_engine_perfmon_nva3.c} |   0
 .../{nvc0.c => nouveau_engine_perfmon_nvc0.c} |   0
 .../{nve0.c => nouveau_engine_perfmon_nve0.c} |   0
 .../{nvf0.c => nouveau_engine_perfmon_nvf0.c} |   0
 .../ppp/{nv98.c => nouveau_engine_ppp_nv98.c} |   0
 .../ppp/{nvc0.c => nouveau_engine_ppp_nvc0.c} |   0
 ...{nv04.c => nouveau_engine_software_nv04.c} |   0
 ...{nv10.c => nouveau_engine_software_nv10.c} |   0
 ...{nv50.c => nouveau_engine_software_nv50.c} |   0
 ...{nvc0.c => nouveau_engine_software_nvc0.c} |   0
 .../vp/{nv84.c => nouveau_engine_vp_nv84.c}   |   0
 .../vp/{nv98.c => nouveau_engine_vp_nv98.c}   |   0
 .../vp/{nvc0.c => nouveau_engine_vp_nvc0.c}   |   0
 .../vp/{nve0.c => nouveau_engine_vp_nve0.c}   |   0
 .../bar/{base.c => nouveau_subdev_bar_base.c} |   0
 .../{gk20a.c => nouveau_subdev_bar_gk20a.c}   |   0
 .../bar/{nv50.c => nouveau_subdev_bar_nv50.c} |   0
 .../bar/{nvc0.c => nouveau_subdev_bar_nvc0.c} |   0
 .../{P0260.c => nouveau_subdev_bios_P0260.c}  |   0
 .../{base.c => nouveau_subdev_bios_base.c}    |   0
 .../bios/{bit.c => nouveau_subdev_bios_bit.c} |   0
 .../{boost.c => nouveau_subdev_bios_boost.c}  |   0
 .../{conn.c => nouveau_subdev_bios_conn.c}    |   0
 .../{cstep.c => nouveau_subdev_bios_cstep.c}  |   0
 .../bios/{dcb.c => nouveau_subdev_bios_dcb.c} |   0
 .../{disp.c => nouveau_subdev_bios_disp.c}    |   0
 .../bios/{dp.c => nouveau_subdev_bios_dp.c}   |   0
 ...{extdev.c => nouveau_subdev_bios_extdev.c} |   0
 .../{gpio.c => nouveau_subdev_bios_gpio.c}    |   0
 .../bios/{i2c.c => nouveau_subdev_bios_i2c.c} |   0
 .../{init.c => nouveau_subdev_bios_init.c}    |   0
 .../bios/{mxm.c => nouveau_subdev_bios_mxm.c} |   0
 .../{perf.c => nouveau_subdev_bios_perf.c}    |   0
 .../bios/{pll.c => nouveau_subdev_bios_pll.c} |   0
 ...{ramcfg.c => nouveau_subdev_bios_ramcfg.c} |   0
 ...{rammap.c => nouveau_subdev_bios_rammap.c} |   0
 .../{therm.c => nouveau_subdev_bios_therm.c}  |   0
 ...{timing.c => nouveau_subdev_bios_timing.c} |   0
 .../{vmap.c => nouveau_subdev_bios_vmap.c}    |   0
 .../{volt.c => nouveau_subdev_bios_volt.c}    |   0
 .../{xpio.c => nouveau_subdev_bios_xpio.c}    |   0
 .../bus/{hwsq.c => nouveau_subdev_bus_hwsq.c} |   0
 .../bus/{nv04.c => nouveau_subdev_bus_nv04.c} |   0
 .../bus/{nv31.c => nouveau_subdev_bus_nv31.c} |   0
 .../bus/{nv50.c => nouveau_subdev_bus_nv50.c} |   0
 .../bus/{nv94.c => nouveau_subdev_bus_nv94.c} |   0
 .../bus/{nvc0.c => nouveau_subdev_bus_nvc0.c} |   0
 .../{base.c => nouveau_subdev_clock_base.c}   |   0
 .../{gk20a.c => nouveau_subdev_clock_gk20a.c} |   0
 .../{nv04.c => nouveau_subdev_clock_nv04.c}   |   0
 .../{nv40.c => nouveau_subdev_clock_nv40.c}   |   0
 .../{nv50.c => nouveau_subdev_clock_nv50.c}   |   0
 .../{nv84.c => nouveau_subdev_clock_nv84.c}   |   0
 .../{nva3.c => nouveau_subdev_clock_nva3.c}   |   0
 .../{nvaa.c => nouveau_subdev_clock_nvaa.c}   |   0
 .../{nvc0.c => nouveau_subdev_clock_nvc0.c}   |   0
 .../{nve0.c => nouveau_subdev_clock_nve0.c}   |   0
 ...lnv04.c => nouveau_subdev_clock_pllnv04.c} |   0
 ...lnva3.c => nouveau_subdev_clock_pllnva3.c} |   0
 .../{base.c => nouveau_subdev_devinit_base.c} |   0
 ...gm107.c => nouveau_subdev_devinit_gm107.c} |   0
 .../{nv04.c => nouveau_subdev_devinit_nv04.c} |   0
 .../{nv05.c => nouveau_subdev_devinit_nv05.c} |   0
 .../{nv10.c => nouveau_subdev_devinit_nv10.c} |   0
 .../{nv1a.c => nouveau_subdev_devinit_nv1a.c} |   0
 .../{nv20.c => nouveau_subdev_devinit_nv20.c} |   0
 .../{nv50.c => nouveau_subdev_devinit_nv50.c} |   0
 .../{nv84.c => nouveau_subdev_devinit_nv84.c} |   0
 .../{nv98.c => nouveau_subdev_devinit_nv98.c} |   0
 .../{nva3.c => nouveau_subdev_devinit_nva3.c} |   0
 .../{nvaf.c => nouveau_subdev_devinit_nvaf.c} |   0
 .../{nvc0.c => nouveau_subdev_devinit_nvc0.c} |   0
 .../fb/{base.c => nouveau_subdev_fb_base.c}   |   0
 .../fb/{gddr5.c => nouveau_subdev_fb_gddr5.c} |   0
 .../fb/{gk20a.c => nouveau_subdev_fb_gk20a.c} |   0
 .../fb/{gm107.c => nouveau_subdev_fb_gm107.c} |   0
 .../fb/{nv04.c => nouveau_subdev_fb_nv04.c}   |   0
 .../fb/{nv10.c => nouveau_subdev_fb_nv10.c}   |   0
 .../fb/{nv1a.c => nouveau_subdev_fb_nv1a.c}   |   0
 .../fb/{nv20.c => nouveau_subdev_fb_nv20.c}   |   0
 .../fb/{nv25.c => nouveau_subdev_fb_nv25.c}   |   0
 .../fb/{nv30.c => nouveau_subdev_fb_nv30.c}   |   0
 .../fb/{nv35.c => nouveau_subdev_fb_nv35.c}   |   0
 .../fb/{nv36.c => nouveau_subdev_fb_nv36.c}   |   0
 .../fb/{nv40.c => nouveau_subdev_fb_nv40.c}   |   0
 .../fb/{nv41.c => nouveau_subdev_fb_nv41.c}   |   0
 .../fb/{nv44.c => nouveau_subdev_fb_nv44.c}   |   0
 .../fb/{nv46.c => nouveau_subdev_fb_nv46.c}   |   0
 .../fb/{nv47.c => nouveau_subdev_fb_nv47.c}   |   0
 .../fb/{nv49.c => nouveau_subdev_fb_nv49.c}   |   0
 .../fb/{nv4e.c => nouveau_subdev_fb_nv4e.c}   |   0
 .../fb/{nv50.c => nouveau_subdev_fb_nv50.c}   |   0
 .../fb/{nv84.c => nouveau_subdev_fb_nv84.c}   |   0
 .../fb/{nva3.c => nouveau_subdev_fb_nva3.c}   |   0
 .../fb/{nvaa.c => nouveau_subdev_fb_nvaa.c}   |   0
 .../fb/{nvaf.c => nouveau_subdev_fb_nvaf.c}   |   0
 .../fb/{nvc0.c => nouveau_subdev_fb_nvc0.c}   |   0
 .../fb/{nve0.c => nouveau_subdev_fb_nve0.c}   |   0
 ...amgk20a.c => nouveau_subdev_fb_ramgk20a.c} |   0
 ...amgm107.c => nouveau_subdev_fb_ramgm107.c} |   0
 ...{ramnv04.c => nouveau_subdev_fb_ramnv04.c} |   0
 ...{ramnv10.c => nouveau_subdev_fb_ramnv10.c} |   0
 ...{ramnv1a.c => nouveau_subdev_fb_ramnv1a.c} |   0
 ...{ramnv20.c => nouveau_subdev_fb_ramnv20.c} |   0
 ...{ramnv40.c => nouveau_subdev_fb_ramnv40.c} |   0
 ...{ramnv41.c => nouveau_subdev_fb_ramnv41.c} |   0
 ...{ramnv44.c => nouveau_subdev_fb_ramnv44.c} |   0
 ...{ramnv49.c => nouveau_subdev_fb_ramnv49.c} |   0
 ...{ramnv4e.c => nouveau_subdev_fb_ramnv4e.c} |   0
 ...{ramnv50.c => nouveau_subdev_fb_ramnv50.c} |   0
 ...{ramnva3.c => nouveau_subdev_fb_ramnva3.c} |   0
 ...{ramnvaa.c => nouveau_subdev_fb_ramnvaa.c} |   0
 ...{ramnvc0.c => nouveau_subdev_fb_ramnvc0.c} |   0
 ...{ramnve0.c => nouveau_subdev_fb_ramnve0.c} |   0
 .../fb/{sddr3.c => nouveau_subdev_fb_sddr3.c} |   0
 .../{base.c => nouveau_subdev_gpio_base.c}    |   0
 .../{nv10.c => nouveau_subdev_gpio_nv10.c}    |   0
 .../{nv50.c => nouveau_subdev_gpio_nv50.c}    |   0
 .../{nv92.c => nouveau_subdev_gpio_nv92.c}    |   0
 .../{nvd0.c => nouveau_subdev_gpio_nvd0.c}    |   0
 .../{nve0.c => nouveau_subdev_gpio_nve0.c}    |   0
 ...anx9805.c => nouveau_subdev_i2c_anx9805.c} |   0
 .../i2c/{aux.c => nouveau_subdev_i2c_aux.c}   |   0
 .../i2c/{base.c => nouveau_subdev_i2c_base.c} |   0
 .../i2c/{bit.c => nouveau_subdev_i2c_bit.c}   |   0
 .../{gf117.c => nouveau_subdev_i2c_gf117.c}   |   0
 .../i2c/{nv04.c => nouveau_subdev_i2c_nv04.c} |   0
 .../i2c/{nv4e.c => nouveau_subdev_i2c_nv4e.c} |   0
 .../i2c/{nv50.c => nouveau_subdev_i2c_nv50.c} |   0
 .../i2c/{nv94.c => nouveau_subdev_i2c_nv94.c} |   0
 .../i2c/{nvd0.c => nouveau_subdev_i2c_nvd0.c} |   0
 .../i2c/{nve0.c => nouveau_subdev_i2c_nve0.c} |   0
 .../i2c/{pad.c => nouveau_subdev_i2c_pad.c}   |   0
 ...padnv04.c => nouveau_subdev_i2c_padnv04.c} |   0
 ...padnv94.c => nouveau_subdev_i2c_padnv94.c} |   0
 .../{gk20a.c => nouveau_subdev_ibus_gk20a.c}  |   0
 .../{nvc0.c => nouveau_subdev_ibus_nvc0.c}    |   0
 .../{nve0.c => nouveau_subdev_ibus_nve0.c}    |   0
 .../{base.c => nouveau_subdev_instmem_base.c} |   0
 .../{nv04.c => nouveau_subdev_instmem_nv04.c} |   0
 .../{nv40.c => nouveau_subdev_instmem_nv40.c} |   0
 .../{nv50.c => nouveau_subdev_instmem_nv50.c} |   0
 .../ltc/{base.c => nouveau_subdev_ltc_base.c} |   0
 .../{gf100.c => nouveau_subdev_ltc_gf100.c}   |   0
 .../{gk104.c => nouveau_subdev_ltc_gk104.c}   |   0
 .../{gm107.c => nouveau_subdev_ltc_gm107.c}   |   0
 .../mc/{base.c => nouveau_subdev_mc_base.c}   |   0
 .../mc/{gk20a.c => nouveau_subdev_mc_gk20a.c} |   0
 .../mc/{nv04.c => nouveau_subdev_mc_nv04.c}   |   0
 .../mc/{nv40.c => nouveau_subdev_mc_nv40.c}   |   0
 .../mc/{nv44.c => nouveau_subdev_mc_nv44.c}   |   0
 .../mc/{nv4c.c => nouveau_subdev_mc_nv4c.c}   |   0
 .../mc/{nv50.c => nouveau_subdev_mc_nv50.c}   |   0
 .../mc/{nv94.c => nouveau_subdev_mc_nv94.c}   |   0
 .../mc/{nv98.c => nouveau_subdev_mc_nv98.c}   |   0
 .../mc/{nvc0.c => nouveau_subdev_mc_nvc0.c}   |   0
 .../mc/{nvc3.c => nouveau_subdev_mc_nvc3.c}   |   0
 .../mxm/{base.c => nouveau_subdev_mxm_base.c} |   0
 .../mxm/{mxms.c => nouveau_subdev_mxm_mxms.c} |   0
 .../mxm/{nv50.c => nouveau_subdev_mxm_nv50.c} |   0
 .../pwr/{base.c => nouveau_subdev_pwr_base.c} |   0
 .../{gk104.c => nouveau_subdev_pwr_gk104.c}   |   0
 .../pwr/{memx.c => nouveau_subdev_pwr_memx.c} |   0
 .../{nv108.c => nouveau_subdev_pwr_nv108.c}   |   0
 .../pwr/{nva3.c => nouveau_subdev_pwr_nva3.c} |   0
 .../pwr/{nvc0.c => nouveau_subdev_pwr_nvc0.c} |   0
 .../pwr/{nvd0.c => nouveau_subdev_pwr_nvd0.c} |   0
 .../{base.c => nouveau_subdev_therm_base.c}   |   0
 .../{fan.c => nouveau_subdev_therm_fan.c}     |   0
 ...fannil.c => nouveau_subdev_therm_fannil.c} |   0
 ...fanpwm.c => nouveau_subdev_therm_fanpwm.c} |   0
 ...fantog.c => nouveau_subdev_therm_fantog.c} |   0
 .../therm/{ic.c => nouveau_subdev_therm_ic.c} |   0
 .../{nv40.c => nouveau_subdev_therm_nv40.c}   |   0
 .../{nv50.c => nouveau_subdev_therm_nv50.c}   |   0
 .../{nv84.c => nouveau_subdev_therm_nv84.c}   |   0
 .../{nva3.c => nouveau_subdev_therm_nva3.c}   |   0
 .../{nvd0.c => nouveau_subdev_therm_nvd0.c}   |   0
 .../{temp.c => nouveau_subdev_therm_temp.c}   |   0
 .../{base.c => nouveau_subdev_timer_base.c}   |   0
 .../{gk20a.c => nouveau_subdev_timer_gk20a.c} |   0
 .../{nv04.c => nouveau_subdev_timer_nv04.c}   |   0
 .../vm/{base.c => nouveau_subdev_vm_base.c}   |   0
 .../vm/{nv04.c => nouveau_subdev_vm_nv04.c}   |   0
 .../vm/{nv41.c => nouveau_subdev_vm_nv41.c}   |   0
 .../vm/{nv44.c => nouveau_subdev_vm_nv44.c}   |   0
 .../vm/{nv50.c => nouveau_subdev_vm_nv50.c}   |   0
 .../vm/{nvc0.c => nouveau_subdev_vm_nvc0.c}   |   0
 .../{base.c => nouveau_subdev_volt_base.c}    |   0
 .../{gpio.c => nouveau_subdev_volt_gpio.c}    |   0
 .../{nv40.c => nouveau_subdev_volt_nv40.c}    |   0
 .../{arb.c => nouveau_dispnv04_arb.c}         |   0
 .../{crtc.c => nouveau_dispnv04_crtc.c}       |   0
 .../{cursor.c => nouveau_dispnv04_cursor.c}   |   0
 .../{dac.c => nouveau_dispnv04_dac.c}         |   0
 .../{dfp.c => nouveau_dispnv04_dfp.c}         |   0
 .../{disp.c => nouveau_dispnv04_disp.c}       |   0
 .../dispnv04/{hw.c => nouveau_dispnv04_hw.c}  |   0
 .../{overlay.c => nouveau_dispnv04_overlay.c} |   0
 ...snv17.c => nouveau_dispnv04_tvmodesnv17.c} |   0
 .../{tvnv04.c => nouveau_dispnv04_tvnv04.c}   |   0
 .../{tvnv17.c => nouveau_dispnv04_tvnv17.c}   |   0
 .../{nv04_fbcon.c => nouveau_nv04_fbcon.c}    |   0
 .../{nv04_fence.c => nouveau_nv04_fence.c}    |   0
 .../{nv10_fence.c => nouveau_nv10_fence.c}    |   0
 .../{nv17_fence.c => nouveau_nv17_fence.c}    |   0
 ...{nv50_display.c => nouveau_nv50_display.c} |   0
 .../{nv50_fbcon.c => nouveau_nv50_fbcon.c}    |   0
 .../{nv50_fence.c => nouveau_nv50_fence.c}    |   0
 .../{nv84_fence.c => nouveau_nv84_fence.c}    |   0
 .../{nvc0_fbcon.c => nouveau_nvc0_fbcon.c}    |   0
 .../{nvc0_fence.c => nouveau_nvc0_fence.c}    |   0
 .../nvif/{client.c => nouveau_nvif_client.c}  |   0
 .../nvif/{device.c => nouveau_nvif_device.c}  |   0
 .../nvif/{notify.c => nouveau_nvif_notify.c}  |   0
 .../nvif/{object.c => nouveau_nvif_object.c}  |   0
 345 files changed, 365 insertions(+)
 rename sys/dev/drm/nouveau/core/core/{client.c => nouveau_core_client.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{engctx.c => nouveau_core_engctx.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{engine.c => nouveau_core_engine.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{enum.c => nouveau_core_enum.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{event.c => nouveau_core_event.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{gpuobj.c => nouveau_core_gpuobj.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{handle.c => nouveau_core_handle.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{ioctl.c => nouveau_core_ioctl.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{mm.c => nouveau_core_mm.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{namedb.c => nouveau_core_namedb.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{notify.c => nouveau_core_notify.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{object.c => nouveau_core_object.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{option.c => nouveau_core_option.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{parent.c => nouveau_core_parent.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{printk.c => nouveau_core_printk.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{ramht.c => nouveau_core_ramht.c} (100%)
 rename sys/dev/drm/nouveau/core/core/{subdev.c => nouveau_core_subdev.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/bsp/{nv84.c => nouveau_engine_bsp_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/bsp/{nv98.c => nouveau_engine_bsp_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/bsp/{nvc0.c => nouveau_engine_bsp_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/bsp/{nve0.c => nouveau_engine_bsp_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/copy/{nva3.c => nouveau_engine_copy_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/copy/{nvc0.c => nouveau_engine_copy_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/copy/{nve0.c => nouveau_engine_copy_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/crypt/{nv84.c => nouveau_engine_crypt_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/crypt/{nv98.c => nouveau_engine_crypt_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{acpi.c => nouveau_engine_device_acpi.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{base.c => nouveau_engine_device_base.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{ctrl.c => nouveau_engine_device_ctrl.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{gm100.c => nouveau_engine_device_gm100.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv04.c => nouveau_engine_device_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv10.c => nouveau_engine_device_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv20.c => nouveau_engine_device_nv20.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv30.c => nouveau_engine_device_nv30.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv40.c => nouveau_engine_device_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nv50.c => nouveau_engine_device_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nvc0.c => nouveau_engine_device_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/device/{nve0.c => nouveau_engine_device_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{base.c => nouveau_engine_disp_base.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{conn.c => nouveau_engine_disp_conn.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{dacnv50.c => nouveau_engine_disp_dacnv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{dport.c => nouveau_engine_disp_dport.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{gm107.c => nouveau_engine_disp_gm107.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{hdanva3.c => nouveau_engine_disp_hdanva3.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{hdanvd0.c => nouveau_engine_disp_hdanvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{hdminv84.c => nouveau_engine_disp_hdminv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{hdminva3.c => nouveau_engine_disp_hdminva3.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{hdminvd0.c => nouveau_engine_disp_hdminvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nv04.c => nouveau_engine_disp_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nv50.c => nouveau_engine_disp_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nv84.c => nouveau_engine_disp_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nv94.c => nouveau_engine_disp_nv94.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nva0.c => nouveau_engine_disp_nva0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nva3.c => nouveau_engine_disp_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nvd0.c => nouveau_engine_disp_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nve0.c => nouveau_engine_disp_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{nvf0.c => nouveau_engine_disp_nvf0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{outp.c => nouveau_engine_disp_outp.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{outpdp.c => nouveau_engine_disp_outpdp.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{piornv50.c => nouveau_engine_disp_piornv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{sornv50.c => nouveau_engine_disp_sornv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{sornv94.c => nouveau_engine_disp_sornv94.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{sornvd0.c => nouveau_engine_disp_sornvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/disp/{vga.c => nouveau_engine_disp_vga.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/dmaobj/{base.c => nouveau_engine_dmaobj_base.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/dmaobj/{nv04.c => nouveau_engine_dmaobj_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/dmaobj/{nv50.c => nouveau_engine_dmaobj_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/dmaobj/{nvc0.c => nouveau_engine_dmaobj_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/dmaobj/{nvd0.c => nouveau_engine_dmaobj_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{base.c => nouveau_engine_fifo_base.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{gk20a.c => nouveau_engine_fifo_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv04.c => nouveau_engine_fifo_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv10.c => nouveau_engine_fifo_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv108.c => nouveau_engine_fifo_nv108.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv17.c => nouveau_engine_fifo_nv17.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv40.c => nouveau_engine_fifo_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv50.c => nouveau_engine_fifo_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nv84.c => nouveau_engine_fifo_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nvc0.c => nouveau_engine_fifo_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/fifo/{nve0.c => nouveau_engine_fifo_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxgk110b.c => nouveau_engine_graph_ctxgk110b.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxgk20a.c => nouveau_engine_graph_ctxgk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxgm107.c => nouveau_engine_graph_ctxgm107.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnv108.c => nouveau_engine_graph_ctxnv108.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnv40.c => nouveau_engine_graph_ctxnv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnv50.c => nouveau_engine_graph_ctxnv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvc0.c => nouveau_engine_graph_ctxnvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvc1.c => nouveau_engine_graph_ctxnvc1.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvc4.c => nouveau_engine_graph_ctxnvc4.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvc8.c => nouveau_engine_graph_ctxnvc8.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvd7.c => nouveau_engine_graph_ctxnvd7.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvd9.c => nouveau_engine_graph_ctxnvd9.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnve4.c => nouveau_engine_graph_ctxnve4.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{ctxnvf0.c => nouveau_engine_graph_ctxnvf0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{gk110b.c => nouveau_engine_graph_gk110b.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{gk20a.c => nouveau_engine_graph_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{gm107.c => nouveau_engine_graph_gm107.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv04.c => nouveau_engine_graph_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv10.c => nouveau_engine_graph_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv108.c => nouveau_engine_graph_nv108.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv20.c => nouveau_engine_graph_nv20.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv25.c => nouveau_engine_graph_nv25.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv2a.c => nouveau_engine_graph_nv2a.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv30.c => nouveau_engine_graph_nv30.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv34.c => nouveau_engine_graph_nv34.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv35.c => nouveau_engine_graph_nv35.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv40.c => nouveau_engine_graph_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nv50.c => nouveau_engine_graph_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvc0.c => nouveau_engine_graph_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvc1.c => nouveau_engine_graph_nvc1.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvc4.c => nouveau_engine_graph_nvc4.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvc8.c => nouveau_engine_graph_nvc8.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvd7.c => nouveau_engine_graph_nvd7.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvd9.c => nouveau_engine_graph_nvd9.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nve4.c => nouveau_engine_graph_nve4.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/graph/{nvf0.c => nouveau_engine_graph_nvf0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/mpeg/{nv31.c => nouveau_engine_mpeg_nv31.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/mpeg/{nv40.c => nouveau_engine_mpeg_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/mpeg/{nv44.c => nouveau_engine_mpeg_nv44.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/mpeg/{nv50.c => nouveau_engine_mpeg_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/mpeg/{nv84.c => nouveau_engine_mpeg_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/{falcon.c => nouveau_engine_falcon.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/{xtensa.c => nouveau_engine_xtensa.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{base.c => nouveau_engine_perfmon_base.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{daemon.c => nouveau_engine_perfmon_daemon.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nv40.c => nouveau_engine_perfmon_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nv50.c => nouveau_engine_perfmon_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nv84.c => nouveau_engine_perfmon_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nva3.c => nouveau_engine_perfmon_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nvc0.c => nouveau_engine_perfmon_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nve0.c => nouveau_engine_perfmon_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/perfmon/{nvf0.c => nouveau_engine_perfmon_nvf0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/ppp/{nv98.c => nouveau_engine_ppp_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/ppp/{nvc0.c => nouveau_engine_ppp_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/software/{nv04.c => nouveau_engine_software_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/software/{nv10.c => nouveau_engine_software_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/software/{nv50.c => nouveau_engine_software_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/software/{nvc0.c => nouveau_engine_software_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/vp/{nv84.c => nouveau_engine_vp_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/vp/{nv98.c => nouveau_engine_vp_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/vp/{nvc0.c => nouveau_engine_vp_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/engine/vp/{nve0.c => nouveau_engine_vp_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bar/{base.c => nouveau_subdev_bar_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bar/{gk20a.c => nouveau_subdev_bar_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bar/{nv50.c => nouveau_subdev_bar_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bar/{nvc0.c => nouveau_subdev_bar_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{P0260.c => nouveau_subdev_bios_P0260.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{base.c => nouveau_subdev_bios_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{bit.c => nouveau_subdev_bios_bit.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{boost.c => nouveau_subdev_bios_boost.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{conn.c => nouveau_subdev_bios_conn.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{cstep.c => nouveau_subdev_bios_cstep.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{dcb.c => nouveau_subdev_bios_dcb.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{disp.c => nouveau_subdev_bios_disp.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{dp.c => nouveau_subdev_bios_dp.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{extdev.c => nouveau_subdev_bios_extdev.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{gpio.c => nouveau_subdev_bios_gpio.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{i2c.c => nouveau_subdev_bios_i2c.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{init.c => nouveau_subdev_bios_init.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{mxm.c => nouveau_subdev_bios_mxm.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{perf.c => nouveau_subdev_bios_perf.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{pll.c => nouveau_subdev_bios_pll.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{ramcfg.c => nouveau_subdev_bios_ramcfg.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{rammap.c => nouveau_subdev_bios_rammap.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{therm.c => nouveau_subdev_bios_therm.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{timing.c => nouveau_subdev_bios_timing.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{vmap.c => nouveau_subdev_bios_vmap.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{volt.c => nouveau_subdev_bios_volt.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bios/{xpio.c => nouveau_subdev_bios_xpio.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{hwsq.c => nouveau_subdev_bus_hwsq.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{nv04.c => nouveau_subdev_bus_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{nv31.c => nouveau_subdev_bus_nv31.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{nv50.c => nouveau_subdev_bus_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{nv94.c => nouveau_subdev_bus_nv94.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/bus/{nvc0.c => nouveau_subdev_bus_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{base.c => nouveau_subdev_clock_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{gk20a.c => nouveau_subdev_clock_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nv04.c => nouveau_subdev_clock_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nv40.c => nouveau_subdev_clock_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nv50.c => nouveau_subdev_clock_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nv84.c => nouveau_subdev_clock_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nva3.c => nouveau_subdev_clock_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nvaa.c => nouveau_subdev_clock_nvaa.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nvc0.c => nouveau_subdev_clock_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{nve0.c => nouveau_subdev_clock_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{pllnv04.c => nouveau_subdev_clock_pllnv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/clock/{pllnva3.c => nouveau_subdev_clock_pllnva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{base.c => nouveau_subdev_devinit_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{gm107.c => nouveau_subdev_devinit_gm107.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv04.c => nouveau_subdev_devinit_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv05.c => nouveau_subdev_devinit_nv05.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv10.c => nouveau_subdev_devinit_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv1a.c => nouveau_subdev_devinit_nv1a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv20.c => nouveau_subdev_devinit_nv20.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv50.c => nouveau_subdev_devinit_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv84.c => nouveau_subdev_devinit_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nv98.c => nouveau_subdev_devinit_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nva3.c => nouveau_subdev_devinit_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nvaf.c => nouveau_subdev_devinit_nvaf.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/devinit/{nvc0.c => nouveau_subdev_devinit_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{base.c => nouveau_subdev_fb_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{gddr5.c => nouveau_subdev_fb_gddr5.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{gk20a.c => nouveau_subdev_fb_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{gm107.c => nouveau_subdev_fb_gm107.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv04.c => nouveau_subdev_fb_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv10.c => nouveau_subdev_fb_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv1a.c => nouveau_subdev_fb_nv1a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv20.c => nouveau_subdev_fb_nv20.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv25.c => nouveau_subdev_fb_nv25.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv30.c => nouveau_subdev_fb_nv30.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv35.c => nouveau_subdev_fb_nv35.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv36.c => nouveau_subdev_fb_nv36.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv40.c => nouveau_subdev_fb_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv41.c => nouveau_subdev_fb_nv41.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv44.c => nouveau_subdev_fb_nv44.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv46.c => nouveau_subdev_fb_nv46.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv47.c => nouveau_subdev_fb_nv47.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv49.c => nouveau_subdev_fb_nv49.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv4e.c => nouveau_subdev_fb_nv4e.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv50.c => nouveau_subdev_fb_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nv84.c => nouveau_subdev_fb_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nva3.c => nouveau_subdev_fb_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nvaa.c => nouveau_subdev_fb_nvaa.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nvaf.c => nouveau_subdev_fb_nvaf.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nvc0.c => nouveau_subdev_fb_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{nve0.c => nouveau_subdev_fb_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramgk20a.c => nouveau_subdev_fb_ramgk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramgm107.c => nouveau_subdev_fb_ramgm107.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv04.c => nouveau_subdev_fb_ramnv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv10.c => nouveau_subdev_fb_ramnv10.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv1a.c => nouveau_subdev_fb_ramnv1a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv20.c => nouveau_subdev_fb_ramnv20.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv40.c => nouveau_subdev_fb_ramnv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv41.c => nouveau_subdev_fb_ramnv41.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv44.c => nouveau_subdev_fb_ramnv44.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv49.c => nouveau_subdev_fb_ramnv49.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv4e.c => nouveau_subdev_fb_ramnv4e.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnv50.c => nouveau_subdev_fb_ramnv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnva3.c => nouveau_subdev_fb_ramnva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnvaa.c => nouveau_subdev_fb_ramnvaa.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnvc0.c => nouveau_subdev_fb_ramnvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{ramnve0.c => nouveau_subdev_fb_ramnve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/fb/{sddr3.c => nouveau_subdev_fb_sddr3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{base.c => nouveau_subdev_gpio_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{nv10.c => nouveau_subdev_gpio_nv10.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{nv50.c => nouveau_subdev_gpio_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{nv92.c => nouveau_subdev_gpio_nv92.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{nvd0.c => nouveau_subdev_gpio_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/gpio/{nve0.c => nouveau_subdev_gpio_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{anx9805.c => nouveau_subdev_i2c_anx9805.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{aux.c => nouveau_subdev_i2c_aux.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{base.c => nouveau_subdev_i2c_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{bit.c => nouveau_subdev_i2c_bit.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{gf117.c => nouveau_subdev_i2c_gf117.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nv04.c => nouveau_subdev_i2c_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nv4e.c => nouveau_subdev_i2c_nv4e.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nv50.c => nouveau_subdev_i2c_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nv94.c => nouveau_subdev_i2c_nv94.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nvd0.c => nouveau_subdev_i2c_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{nve0.c => nouveau_subdev_i2c_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{pad.c => nouveau_subdev_i2c_pad.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{padnv04.c => nouveau_subdev_i2c_padnv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/i2c/{padnv94.c => nouveau_subdev_i2c_padnv94.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ibus/{gk20a.c => nouveau_subdev_ibus_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ibus/{nvc0.c => nouveau_subdev_ibus_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ibus/{nve0.c => nouveau_subdev_ibus_nve0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/instmem/{base.c => nouveau_subdev_instmem_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/instmem/{nv04.c => nouveau_subdev_instmem_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/instmem/{nv40.c => nouveau_subdev_instmem_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/instmem/{nv50.c => nouveau_subdev_instmem_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ltc/{base.c => nouveau_subdev_ltc_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ltc/{gf100.c => nouveau_subdev_ltc_gf100.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ltc/{gk104.c => nouveau_subdev_ltc_gk104.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/ltc/{gm107.c => nouveau_subdev_ltc_gm107.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{base.c => nouveau_subdev_mc_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{gk20a.c => nouveau_subdev_mc_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv04.c => nouveau_subdev_mc_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv40.c => nouveau_subdev_mc_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv44.c => nouveau_subdev_mc_nv44.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv4c.c => nouveau_subdev_mc_nv4c.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv50.c => nouveau_subdev_mc_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv94.c => nouveau_subdev_mc_nv94.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nv98.c => nouveau_subdev_mc_nv98.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nvc0.c => nouveau_subdev_mc_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mc/{nvc3.c => nouveau_subdev_mc_nvc3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mxm/{base.c => nouveau_subdev_mxm_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mxm/{mxms.c => nouveau_subdev_mxm_mxms.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/mxm/{nv50.c => nouveau_subdev_mxm_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{base.c => nouveau_subdev_pwr_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{gk104.c => nouveau_subdev_pwr_gk104.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{memx.c => nouveau_subdev_pwr_memx.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{nv108.c => nouveau_subdev_pwr_nv108.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{nva3.c => nouveau_subdev_pwr_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{nvc0.c => nouveau_subdev_pwr_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/pwr/{nvd0.c => nouveau_subdev_pwr_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{base.c => nouveau_subdev_therm_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{fan.c => nouveau_subdev_therm_fan.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{fannil.c => nouveau_subdev_therm_fannil.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{fanpwm.c => nouveau_subdev_therm_fanpwm.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{fantog.c => nouveau_subdev_therm_fantog.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{ic.c => nouveau_subdev_therm_ic.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{nv40.c => nouveau_subdev_therm_nv40.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{nv50.c => nouveau_subdev_therm_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{nv84.c => nouveau_subdev_therm_nv84.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{nva3.c => nouveau_subdev_therm_nva3.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{nvd0.c => nouveau_subdev_therm_nvd0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/therm/{temp.c => nouveau_subdev_therm_temp.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/timer/{base.c => nouveau_subdev_timer_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/timer/{gk20a.c => nouveau_subdev_timer_gk20a.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/timer/{nv04.c => nouveau_subdev_timer_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{base.c => nouveau_subdev_vm_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{nv04.c => nouveau_subdev_vm_nv04.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{nv41.c => nouveau_subdev_vm_nv41.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{nv44.c => nouveau_subdev_vm_nv44.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{nv50.c => nouveau_subdev_vm_nv50.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/vm/{nvc0.c => nouveau_subdev_vm_nvc0.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/volt/{base.c => nouveau_subdev_volt_base.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/volt/{gpio.c => nouveau_subdev_volt_gpio.c} (100%)
 rename sys/dev/drm/nouveau/core/subdev/volt/{nv40.c => nouveau_subdev_volt_nv40.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{arb.c => nouveau_dispnv04_arb.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{crtc.c => nouveau_dispnv04_crtc.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{cursor.c => nouveau_dispnv04_cursor.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{dac.c => nouveau_dispnv04_dac.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{dfp.c => nouveau_dispnv04_dfp.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{disp.c => nouveau_dispnv04_disp.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{hw.c => nouveau_dispnv04_hw.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{overlay.c => nouveau_dispnv04_overlay.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{tvmodesnv17.c => nouveau_dispnv04_tvmodesnv17.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{tvnv04.c => nouveau_dispnv04_tvnv04.c} (100%)
 rename sys/dev/drm/nouveau/dispnv04/{tvnv17.c => nouveau_dispnv04_tvnv17.c} (100%)
 rename sys/dev/drm/nouveau/{nv04_fbcon.c => nouveau_nv04_fbcon.c} (100%)
 rename sys/dev/drm/nouveau/{nv04_fence.c => nouveau_nv04_fence.c} (100%)
 rename sys/dev/drm/nouveau/{nv10_fence.c => nouveau_nv10_fence.c} (100%)
 rename sys/dev/drm/nouveau/{nv17_fence.c => nouveau_nv17_fence.c} (100%)
 rename sys/dev/drm/nouveau/{nv50_display.c => nouveau_nv50_display.c} (100%)
 rename sys/dev/drm/nouveau/{nv50_fbcon.c => nouveau_nv50_fbcon.c} (100%)
 rename sys/dev/drm/nouveau/{nv50_fence.c => nouveau_nv50_fence.c} (100%)
 rename sys/dev/drm/nouveau/{nv84_fence.c => nouveau_nv84_fence.c} (100%)
 rename sys/dev/drm/nouveau/{nvc0_fbcon.c => nouveau_nvc0_fbcon.c} (100%)
 rename sys/dev/drm/nouveau/{nvc0_fence.c => nouveau_nvc0_fence.c} (100%)
 rename sys/dev/drm/nouveau/nvif/{client.c => nouveau_nvif_client.c} (100%)
 rename sys/dev/drm/nouveau/nvif/{device.c => nouveau_nvif_device.c} (100%)
 rename sys/dev/drm/nouveau/nvif/{notify.c => nouveau_nvif_notify.c} (100%)
 rename sys/dev/drm/nouveau/nvif/{object.c => nouveau_nvif_object.c} (100%)

diff --git a/sys/conf/files b/sys/conf/files
index a72f911095..aef805a80d 100644
--- a/sys/conf/files
+++ b/sys/conf/files
@@ -2185,6 +2185,371 @@ dev/drm/i915/intel_sideband.c		optional i915 drm
 dev/drm/i915/intel_sprite.c		optional i915 drm
 dev/drm/i915/intel_tv.c			optional i915 drm
 dev/drm/i915/intel_uncore.c		optional i915 drm
+dev/drm/nouveau/core/core/nouveau_core_client.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_engctx.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_engine.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_enum.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_event.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_gpuobj.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_handle.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_ioctl.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_mm.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_namedb.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_notify.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_object.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_option.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_parent.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_printk.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_ramht.c		optional nouveau drm
+dev/drm/nouveau/core/core/nouveau_core_subdev.c		optional nouveau drm
+dev/drm/nouveau/core/engine/bsp/nouveau_engine_bsp_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/bsp/nouveau_engine_bsp_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/engine/bsp/nouveau_engine_bsp_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/bsp/nouveau_engine_bsp_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/copy/nouveau_engine_copy_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/engine/copy/nouveau_engine_copy_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/copy/nouveau_engine_copy_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/crypt/nouveau_engine_crypt_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/crypt/nouveau_engine_crypt_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_acpi.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_base.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_ctrl.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_gm100.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv20.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv30.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/device/nouveau_engine_device_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_base.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_conn.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_dacnv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_dport.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_gm107.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_hdanva3.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_hdanvd0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_hdminv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_hdminva3.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_hdminvd0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nv94.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nva0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_nvf0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_outp.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_outpdp.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_piornv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_sornv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_sornv94.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_sornvd0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/disp/nouveau_engine_disp_vga.c		optional nouveau drm
+dev/drm/nouveau/core/engine/dmaobj/nouveau_engine_dmaobj_base.c		optional nouveau drm
+dev/drm/nouveau/core/engine/dmaobj/nouveau_engine_dmaobj_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/dmaobj/nouveau_engine_dmaobj_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/dmaobj/nouveau_engine_dmaobj_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/dmaobj/nouveau_engine_dmaobj_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_base.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv108.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv17.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/fifo/nouveau_engine_fifo_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxgk110b.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxgk20a.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxgm107.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnv108.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvc1.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvc4.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvc8.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvd7.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvd9.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnve4.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_ctxnvf0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_gk110b.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_gm107.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv108.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv20.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv25.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv2a.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv30.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv34.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv35.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvc1.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvc4.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvc8.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvd7.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvd9.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nve4.c		optional nouveau drm
+dev/drm/nouveau/core/engine/graph/nouveau_engine_graph_nvf0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/mpeg/nouveau_engine_mpeg_nv31.c		optional nouveau drm
+dev/drm/nouveau/core/engine/mpeg/nouveau_engine_mpeg_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/mpeg/nouveau_engine_mpeg_nv44.c		optional nouveau drm
+dev/drm/nouveau/core/engine/mpeg/nouveau_engine_mpeg_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/mpeg/nouveau_engine_mpeg_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/nouveau_engine_falcon.c		optional nouveau drm
+dev/drm/nouveau/core/engine/nouveau_engine_xtensa.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_base.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_daemon.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/perfmon/nouveau_engine_perfmon_nvf0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/ppp/nouveau_engine_ppp_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/engine/ppp/nouveau_engine_ppp_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/software/nouveau_engine_software_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/engine/software/nouveau_engine_software_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/engine/software/nouveau_engine_software_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/engine/software/nouveau_engine_software_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/vp/nouveau_engine_vp_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/engine/vp/nouveau_engine_vp_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/engine/vp/nouveau_engine_vp_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/engine/vp/nouveau_engine_vp_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bar/nouveau_subdev_bar_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bar/nouveau_subdev_bar_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bar/nouveau_subdev_bar_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bar/nouveau_subdev_bar_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_P0260.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_bit.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_boost.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_conn.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_cstep.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_dcb.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_disp.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_dp.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_extdev.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_gpio.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_i2c.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_init.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_mxm.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_perf.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_pll.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_ramcfg.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_rammap.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_therm.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_timing.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_vmap.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_volt.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bios/nouveau_subdev_bios_xpio.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_hwsq.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_nv31.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_nv94.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/bus/nouveau_subdev_bus_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nvaa.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_pllnv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/clock/nouveau_subdev_clock_pllnva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_gm107.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv05.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv1a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv20.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nvaf.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/devinit/nouveau_subdev_devinit_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_gddr5.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_gm107.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv1a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv20.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv25.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv30.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv35.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv36.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv41.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv44.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv46.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv47.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv49.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv4e.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nvaa.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nvaf.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramgk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramgm107.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv10.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv1a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv20.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv41.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv44.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv49.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv4e.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnvaa.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_ramnve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/fb/nouveau_subdev_fb_sddr3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nv10.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nv92.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/gpio/nouveau_subdev_gpio_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_anx9805.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_aux.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_bit.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_gf117.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv4e.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nv94.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_pad.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/i2c/nouveau_subdev_i2c_padnv94.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ibus/nouveau_subdev_ibus_nve0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/instmem/nouveau_subdev_instmem_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/instmem/nouveau_subdev_instmem_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/instmem/nouveau_subdev_instmem_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/instmem/nouveau_subdev_instmem_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ltc/nouveau_subdev_ltc_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ltc/nouveau_subdev_ltc_gf100.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ltc/nouveau_subdev_ltc_gk104.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/ltc/nouveau_subdev_ltc_gm107.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv44.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv4c.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv94.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nv98.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mc/nouveau_subdev_mc_nvc3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mxm/nouveau_subdev_mxm_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mxm/nouveau_subdev_mxm_mxms.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/mxm/nouveau_subdev_mxm_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_gk104.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_memx.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_nv108.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/pwr/nouveau_subdev_pwr_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_fan.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_fannil.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_fanpwm.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_fantog.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_ic.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_nv40.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_nv84.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_nva3.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_nvd0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/therm/nouveau_subdev_therm_temp.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/timer/nouveau_subdev_timer_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/timer/nouveau_subdev_timer_gk20a.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/timer/nouveau_subdev_timer_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_nv04.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_nv41.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_nv44.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_nv50.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/vm/nouveau_subdev_vm_nvc0.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/volt/nouveau_subdev_volt_base.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/volt/nouveau_subdev_volt_gpio.c		optional nouveau drm
+dev/drm/nouveau/core/subdev/volt/nouveau_subdev_volt_nv40.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_arb.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_crtc.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_cursor.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_dac.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_dfp.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_disp.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_hw.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_overlay.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_tvmodesnv17.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_tvnv04.c		optional nouveau drm
+dev/drm/nouveau/dispnv04/nouveau_dispnv04_tvnv17.c		optional nouveau drm
+dev/drm/nouveau/nouveau_abi16.c		optional nouveau drm
+dev/drm/nouveau/nouveau_agp.c		optional nouveau drm
+dev/drm/nouveau/nouveau_bios.c		optional nouveau drm
+dev/drm/nouveau/nouveau_bo.c		optional nouveau drm
+dev/drm/nouveau/nouveau_chan.c		optional nouveau drm
+dev/drm/nouveau/nouveau_connector.c		optional nouveau drm
+dev/drm/nouveau/nouveau_display.c		optional nouveau drm
+dev/drm/nouveau/nouveau_dma.c		optional nouveau drm
+dev/drm/nouveau/nouveau_dp.c		optional nouveau drm
+dev/drm/nouveau/nouveau_drm.c		optional nouveau drm
+dev/drm/nouveau/nouveau_fbcon.c		optional nouveau drm
+dev/drm/nouveau/nouveau_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_gem.c		optional nouveau drm
+dev/drm/nouveau/nouveau_hwmon.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv04_fbcon.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv04_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv10_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv17_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv50_display.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv50_fbcon.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv50_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nv84_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nvc0_fbcon.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nvc0_fence.c		optional nouveau drm
+dev/drm/nouveau/nouveau_nvif.c		optional nouveau drm
+dev/drm/nouveau/nouveau_prime.c		optional nouveau drm
+dev/drm/nouveau/nouveau_sgdma.c		optional nouveau drm
+dev/drm/nouveau/nouveau_sysfs.c		optional nouveau drm
+dev/drm/nouveau/nouveau_ttm.c		optional nouveau drm
+dev/drm/nouveau/nouveau_usif.c		optional nouveau drm
+dev/drm/nouveau/nouveau_vga.c		optional nouveau drm
+dev/drm/nouveau/nvif/nouveau_nvif_client.c		optional nouveau drm
+dev/drm/nouveau/nvif/nouveau_nvif_device.c		optional nouveau drm
+dev/drm/nouveau/nvif/nouveau_nvif_notify.c		optional nouveau drm
+dev/drm/nouveau/nvif/nouveau_nvif_object.c		optional nouveau drm
 dev/drm/radeon/atom.c			optional radeon drm
 dev/drm/radeon/atombios_crtc.c		optional radeon drm
 dev/drm/radeon/atombios_dp.c		optional radeon drm
